# RUN: yaml2obj %s -o %t
# RUN: llvm-readobj -l %t | FileCheck %s

!ELF
FileHeader:
  Class:           ELFCLASS64
  Data:            ELFDATA2LSB
  Type:            ET_EXEC
  Machine:         EM_X86_64
Sections:
  - Name:            .data
    Type:            SHT_PROGBITS
    Flags:           [ SHF_ALLOC ]
    Content:         "00000000"
  - Name:            .after
    Type:            SHT_NOBITS
    Flags:           [ SHF_ALLOC ]
    Size:            64
ProgramHeaders:
  - Type: PT_LOAD
    Flags: [ PF_R ]
    Sections:
      - Section: .data
      - Section: .after

#CHECK:     ProgramHeaders [
#CHECK-NEXT:  ProgramHeader {
#CHECK-NEXT:    Type: PT_LOAD
#CHECK-NEXT:    Offset:
#CHECK-NEXT:    VirtualAddress:
#CHECK-NEXT:    PhysicalAddress:
#CHECK-NEXT:    FileSize: 4
#CHECK-NEXT:    MemSize: 68
#CHECK-NEXT:    Flags [
#CHECK-NEXT:      PF_R
#CHECK-NEXT:    ]
#CHECK-NEXT:    Alignment:
#CHECK-NEXT:  }
#CHECK-NEXT:]
